<?php


namespace Schaffen\Gef\Criterias;

use Prettus\Repository\Criteria\RequestCriteria;
use Illuminate\Http\Request;

class RequestPrefixCriteria extends RequestCriteria
{

   public function __construct(Request $request, $prefix)
   {
      $search = $request->input('search');

      $searchData = [];
      $new_request['search'] = '';
      if (stripos($search, ':')) {
         $fields = explode(';', $search);

         foreach ($fields as $row) {
            try {
               list($field, $value) = explode(':', $row);
               switch ($field){
                  case 'motorista':
                     $field = 'fk_motorista_pes_codigo';
                     break;
                  case 'proprietario':
                     $field = 'fk_proprietario_pes_codigo';
                     break;
                  case 'seguradora':
                     $field = 'fk_seguradora_pes_codigo';
                     break;
                  case 'veiculo':
                     $field = 'fk_vei_codigo';
                     break;
                  case 'responsavel':
                     $field = 'fk_responsavel_pes_codigo';
                     break;
                  case 'produto':
                     $field = 'fk_prfr_codigo';
                     break;
                  case 'apontamento_gasto':
                     $field = 'fk_avg_codigo';
                     break;
                  case 'fornecedor':
                     $field = 'fk_fornecedor_pes_codigo';
                     break;
                  case 'local_estoque':
                     $field = 'fk_loe_codigo';
                     break;
                  case 'variedade_embalagem':
                     $field = 'fk_pve_codigo';
                     break;
               }
               $searchData[$prefix.$field] = $value;


            } catch (\Exception $e) {
               //Surround offset error
            }
         }
      }

      $first = true;
      foreach ($searchData as $key => $value){
         if($first){
            $new_request['search'] .= $key .":". $value;
            $first = false;
         }
         else{
            $new_request['search'] .= ';'.$key .":". $value;
         }

      }
      $request->merge($new_request);

      $this->request = $request;
   }

}