<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class ApontamentoVeiculoUsoValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class ApontamentoVeiculoUsoValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [ 'km_inicial' => 'required|numeric',
           'km_final' => 'required|numeric',
           'motorista' => 'integer|exists:pgsql.cadastro.pessoa,pes_codigo',
           'data_hora_uso_inical' => 'required|date_format:d/m/Y H:i',
           'data_hora_uso_final' => 'required|date_format:d/m/Y H:i',
           'veiculo' => 'required|integer|exists:pgsql.frota.veiculo,vei_codigo',
           'obra' => 'nullable|integer|exists:pgsql.project.obra,obr_codigo'],
        ValidatorInterface::RULE_UPDATE => [ 'km_inicial' => 'required|numeric',
           'km_final' => 'required|numeric',
           'motorista' => 'integer|exists:pgsql.cadastro.pessoa,pes_codigo',
           'data_hora_uso_inical' => 'required|date_format:d/m/Y H:i',
           'data_hora_uso_final' => 'required|date_format:d/m/Y H:i',
           'veiculo' => 'integer|exists:pgsql.frota.veiculo,vei_codigo',
           'obra' => 'nullable|integer|exists:pgsql.project.obra,obr_codigo'],
    ];
}
