<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;
use Schaffen\Gef\Models\Veiculo;

/**
 * Class VeiculoValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class VeiculoValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
           'placa' => 'required|string|max:10',
           'ano' => 'required|integer',
           'identificador' => 'required|string|max:15',
           'km_inicial' => 'required|numeric',
           'modelo' => 'nullable|string|max:25',
           'municipio' => 'nullable|string|max:50',
           'uf' => 'nullable|string|max:2',
           'cor' => 'nullable|string|max:10',
           'numero' => 'nullable|string',
           'renavam' => 'nullable|numeric|max:99999999999',
           'chassi' => 'nullable|string|max:17',
           'tipo_combustivel' => 'nullable|integer|in:1,2,3,4,5,6,7,8,9,10,11,12',
           'proprietario' => 'nullable|integer|exists:pgsql.cadastro.pessoa,pes_codigo',
           ],
        ValidatorInterface::RULE_UPDATE => [
           'placa' => 'string|max:10',
           'ano' => 'integer',
           'identificador' => 'required|string|max:15',
           'km_inicial' => 'numeric',
           'modelo' => 'nullable|string|max:25',
           'municipio' => 'nullable|string|max:50',
           'uf' => 'nullable|string|max:2',
           'cor' => 'nullable|string|max:10',
           'numero' => 'nullable|string',
           'renavam' =>  'nullable|numeric|max:99999999999',
           'chassi' => 'nullable|string|max:17',
           'tipo_combustivel' => 'nullable|integer|in:1,2,3,4,5,6,7,8,9,10,11,12',
           'proprietario' => 'nullable|integer|exists:pgsql.cadastro.pessoa,pes_codigo',
           ],
    ];
}
